Package org.apache.qpid.proton.codec

# Interface ArrayType.ArrayEncoding

All Superinterfaces:
  `PrimitiveTypeEncoding<Object[]>`, `TypeConstructor<Object[]>`, `TypeEncoding<Object[]>`

Enclosing class:
  `ArrayType`

public static interface ArrayType.ArrayEncoding extends PrimitiveTypeEncoding<Object[]>

## Method Summary

Modifier and Type
Method
Description
`int`
`getSizeBytes()`
`Object`
`readValueArray()`
`void`
`setValue(Object[] val, TypeEncoding<?> encoder, int size)`
`void`
`writeValue(boolean[] a)`
`void`
`writeValue(byte[] a)`
`void`
`writeValue(char[] a)`
`void`
`writeValue(double[] a)`
`void`
`writeValue(float[] a)`
`void`
`writeValue(int[] a)`
`void`
`writeValue(long[] a)`
`void`
`writeValue(short[] a)`

### Methods inherited from interface org.apache.qpid.proton.codec.PrimitiveTypeEncoding

`getConstructorSize, getEncodingCode, getType, writeConstructor`

### Methods inherited from interface org.apache.qpid.proton.codec.TypeConstructor

`encodesJavaPrimitive, getTypeClass, readValue, skipValue`

### Methods inherited from interface org.apache.qpid.proton.codec.TypeEncoding

`encodesJavaPrimitive, encodesSuperset, getValueSize, isFixedSizeVal, writeValue`

## Method Details

### writeValue

void writeValue(boolean[] a)

### writeValue

void writeValue(byte[] a)

### writeValue

void writeValue(short[] a)

### writeValue

void writeValue(int[] a)

### writeValue

void writeValue(long[] a)

### writeValue

void writeValue(float[] a)

### writeValue

void writeValue(double[] a)

### writeValue

void writeValue(char[] a)

### setValue

void setValue(Object[] val, TypeEncoding<?> encoder, int size)

### getSizeBytes

int getSizeBytes()

### readValueArray

Object readValueArray()